curl --request GET \
--url https://api.opal.dev/v1/apps/{app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/apps/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opal.dev/v1/apps/{app_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.opal.dev/v1/apps/{app_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.opal.dev/v1/apps/{app_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opal.dev/v1/apps/{app_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "Okta Org",
"description": "Okta directory for the engineering team.",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"app_type": "OKTA_DIRECTORY"
}Get app by ID
Returns an App object.
curl --request GET \
--url https://api.opal.dev/v1/apps/{app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/apps/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opal.dev/v1/apps/{app_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.opal.dev/v1/apps/{app_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.opal.dev/v1/apps/{app_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opal.dev/v1/apps/{app_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "Okta Org",
"description": "Okta directory for the engineering team.",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"app_type": "OKTA_DIRECTORY"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the app.
Response
The requested App.
App Object
Description
The App object is used to represent an app to an application.
Usage Example
List from the GET Apps endpoint.
The ID of the app.
"f454d283-ca87-4a8a-bdbb-df212eca5353"
The name of the app.
"Okta Org"
A description of the app.
"Okta directory for the engineering team."
The ID of the owner of the app.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The type of an app.
ACTIVE_DIRECTORY, ANTHROPIC, AZURE_AD, AWS, AWS_SSO, CLICKHOUSE, COUPA, CURSOR, CUSTOM, CONFLUENCE, CUSTOM_CONNECTOR, DATABRICKS, DATASTAX_ASTRA, ALICLOUD, DEVIN, DOCUSIGN, DUO, GCP, GIT_HUB, GIT_LAB, GOOGLE_GROUPS, GOOGLE_WORKSPACE, GRAFANA, HUBSPOT, ILEVEL, INCIDENTIO, JIRA, LDAP, LINEAR, MARIADB, MONGO, MONGO_ATLAS, MYSQL, NETSUITE, DATADOG, OKTA_CIAM, OKTA_DIRECTORY, OPENAI_PLATFORM, OPAL, ORACLE_FUSION, PAGERDUTY, POSTGRES, ROOTLY, SALESFORCE, SNOWFLAKE, SLACK, TABLEAU, TAILSCALE, TELEPORT, TWINGATE, VAULT, WORKDAY, ZENDESK, ZOOM, RAMP, WRIKE, VERCEL, AXIOM "OKTA_DIRECTORY"
The visibility level of the entity.
GLOBAL, LIMITED "GLOBAL"
The IDs of groups that can see this app when visibility is LIMITED.
The visibility level of items imported from this app.
GLOBAL, LIMITED "GLOBAL"
Validation checks of an apps' configuration and permissions.
Show child attributes
Show child attributes
Configuration for a Custom Connector app. Does not include the signing secret; secrets are write-only and never returned by the API.
Show child attributes
Show child attributes
Was this page helpful?